tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Konstantin Kolinko <knst.koli...@gmail.com>
Subject Re: [VOTE] Release Apache Tomcat 8.5.49
Date Tue, 19 Nov 2019 00:44:01 GMT
вт, 19 нояб. 2019 г. в 01:42, Mark Thomas <markt@apache.org>:
>
> On 18/11/2019 22:01, Rémy Maucherat wrote:
> > On Mon, Nov 18, 2019 at 10:22 PM Mark Thomas <markt@apache.org
> > <mailto:markt@apache.org>> wrote:
>
> > Is porting the multipoller removal to 7.0 really doable ?
>
> I don't know. I haven't looked at the code yet. I do have an alternative
> fix I tested that should work if back-porting proves tricky.
>
> > It could be running on older Windows platforms maybe.
>
> That would only be an issue of the versions of Windows were so old they
> were no longer supported by Microsoft. Users in those circumstances are
> unlikely to be updating to the latest 7.0.x release anyway. Therefore
> that isn't something I'm particularly worrying about. (But I am happy to
> be over-ruled if the consensus is not to back-port to 7.0.x.)

Searching my mailbox and archives at https://tomcat.markmail.org/,

a) Tomcat 7.0.96 running on Windows XP  was mentioned recently (August 2019)
https://bz.apache.org/bugzilla/show_bug.cgi?id=63625#c16

b) Tomcat 8.5 was never mentioned running on Windows XP or on Windows 2003.
There was one thread about Tomcat 8.5.3 when a client was using
Windows XP, but Tomcat was running on Ubuntu.
There was one thread in year 2017 about posting an application from an
old server running Windows 2003 and Tomcat 5 to Tomcat 8.5.
https://markmail.org/thread/qvmzmmjz2dqohbk5

I think the single pollset change should not be backported to Tomcat 7.
I am OK with it being backported to Tomcat 8.5.

Best regards,
Konstantin Kolinko

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message